cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/nodes?region_name=SOME_STRING_VALUE&pagination.start_key=SOME_STRING_VALUE&pagination.direction=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.time=SOME_STRING_VALUE&pagination.order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"nodes": [
{
"name": "<string>",
"region_name": "<string>",
"status": "NODE_STATUS_UNSPECIFIED"
}
],
"pagination": {
"next": "<string>",
"last": "<string>",
"limit": 123,
"time": "2023-11-07T05:31:56Z",
"order": "ASC"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}List nodes for a cluster.
Sort order: Region name, node name
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
nodes
cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/nodes?region_name=SOME_STRING_VALUE&pagination.start_key=SOME_STRING_VALUE&pagination.direction=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.time=SOME_STRING_VALUE&pagination.order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"nodes": [
{
"name": "<string>",
"region_name": "<string>",
"status": "NODE_STATUS_UNSPECIFIED"
}
],
"pagination": {
"next": "<string>",
"last": "<string>",
"limit": 123,
"time": "2023-11-07T05:31:56Z",
"order": "ASC"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Optional filter to limit response to a single region.
Available options:
PAGE_DIRECTION_NEXT, PAGE_DIRECTION_LAST - DESC: Sort in descending order. The default order is ascending.
Available options:
ASC, DESC 
